Hi Tiago ,

Thanks for the suggestion.
Just now I have built derby using ant.

following is the output of  sysinfo

------------------ Java Information ------------------
Java Version:    1.5.0
Java Vendor:     IBM Corporation
Java home:       C:\Program Files\IBM\Java50\jre
Java classpath:  jars/sane/derbyrun.jar
OS name:         Windows XP
OS architecture: x86
OS version:      5.1 build 2600 Service Pack 2
Java user name:  administrator
Java user home:  C:\Documents and Settings\Administrator
Java user dir:   C:\Documents and Settings\Administrator\workspace\Derby\trunk
java.specification.name: Java Platform API Specification
java.specification.version: 1.5
--------- Derby Information --------
JRE - JDBC: J2SE 5.0 - JDBC 3.0
[C:\Documents and Settings\Administrator\workspace\Derby\trunk\jars\sane\derby.jar] 10.6.0.0 alpha - (771649)
[C:\Documents and Settings\Administrator\workspace\Derby\trunk\jars\sane\derbytools.jar] 10.6.0.0 alpha - (771649)
[C:\Documents and Settings\Administrator\workspace\Derby\trunk\jars\sane\derbynet.jar] 10.6.0.0 alpha - (771649)
[C:\Documents and Settings\Administrator\workspace\Derby\trunk\jars\sane\derbyclient.jar] 10.6.0.0 alpha - (771649)
------------------------------------------------------
----------------- Locale Information -----------------
Current Locale :  [English/United States [en_US]]
Found support for locale: [cs]
     version: 10.6.0.0 alpha - (771649)
Found support for locale: [de_DE]
     version: 10.6.0.0 alpha - (771649)
Found support for locale: [es]
     version: 10.6.0.0 alpha - (771649)
Found support for locale: [fr]
     version: 10.6.0.0 alpha - (771649)
Found support for locale: [hu]
     version: 10.6.0.0 alpha - (771649)
Found support for locale: [it]
     version: 10.6.0.0 alpha - (771649)
Found support for locale: [ja_JP]
     version: 10.6.0.0 alpha - (771649)
Found support for locale: [ko_KR]
     version: 10.6.0.0 alpha - (771649)
Found support for locale: [pl]
     version: 10.6.0.0 alpha - (771649)
Found support for locale: [pt_BR]
     version: 10.6.0.0 alpha - (771649)
Found support for locale: [ru]
     version: 10.6.0.0 alpha - (771649)
Found support for locale: [zh_CN]
     version: 10.6.0.0 alpha - (771649)
Found support for locale: [zh_TW]
     version: 10.6.0.0 alpha - (771649)
------------------------------------------------------

It seems the build is successful.

Thank you

On Thu, Apr 30, 2009 at 2:21 PM, Tiago Espinha <tiago@espinhas.net> wrote:
Hello Ravinder,

My advice regarding building Derby on Eclipse is simple: don't.

Let me elaborate. You will want to use Eclipse to do changes on your code and whatnot, but I do strongly advise against using Eclipse to do the building part. For that, we typically use Ant.

Here are a few pointers that you want to look into:

1 - Download Ant (http://ant.apache.org/), extract it, create an environment variable called ANT_HOME and point it to the directory to where you extracted Ant.

2 - Add %ANT_HOME%/bin to your PATH variable.

3 - Make sure your JDK is at least version 1.4 and that you have it on your PATH.

4 - Checkout Derby's trunk from the SVN.

5 - Add junit.jar from JUnit 3.8.2 (http://www.junit.org/ - be sure to choose 3.8.2) to the tools/java directory in your checkout directory.

6 - Go ahead and try to build:
ant clobber
ant all
and buildjars

Here are also a few helpful links for new developers in our Wiki:
http://wiki.apache.org/db-derby/ForNewDevelopers

http://svn.apache.org/viewvc/db/derby/code/trunk/BUILDING.html

http://wiki.apache.org/db-derby/BuildingDerby - This link teaches you how to use Eclipse to build Derby, but I reiterate my advise of not doing so. You can follow that tutorial to simply import the project into Eclipse, but I would do the building manually with the manual ant commands.

Hope it helps!
Tiago


On Thu, Apr 30, 2009 at 9:34 AM, Ravinder Reddy <ravinder.pandiri@gmail.com> wrote:
Hi all,

I want to set-up derby dev environment under windows in Eclipse.
any kind of help would be highly appreciated.

Thank you

--
Ravinder Reddy





--
Ravinder Reddy